Trigger a funder submission
curl --request POST \
--url https://app.herondata.io/api/funder_submissions/{submission_heron_id}/trigger/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"use_sandbox": true
}
'import requests
url = "https://app.herondata.io/api/funder_submissions/{submission_heron_id}/trigger/"
payload = { "use_sandbox": True }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({use_sandbox: true})
};
fetch('https://app.herondata.io/api/funder_submissions/{submission_heron_id}/trigger/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
Trigger a funder submission
Triggers an async submission to a funder. Returns 202 immediately; poll via GET /funder_submissions// to check progress.
POST
/
api
/
funder_submissions
/
{submission_heron_id}
/
trigger
/
Trigger a funder submission
Was this page helpful?
⌘I